<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.usbThread.threadMoveFromUSB</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1usbThread_1_1threadMoveFromUSB.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1usbThread_1_1threadMoveFromUSB-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.usbThread.threadMoveFromUSB</div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe pour les threads déplaçant des fichiers depuis les clés USB.  
 <a href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#details">Plus de détails...</a></p>
<div class="dynheader">
Graphe d'héritage de src.usbThread.threadMoveFromUSB:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1threadMoveFromUSB__inherit__graph.png" border="0" usemap="#src_8usbThread_8threadMoveFromUSB_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8usbThread_8threadMoveFromUSB_inherit__map" id="src_8usbThread_8threadMoveFromUSB_inherit__map">
<area shape="rect" title="Classe pour les threads déplaçant des fichiers depuis les clés USB." alt="" coords="29,155,204,196"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html" title=" " alt="" coords="5,80,228,107"/>
<area shape="rect" title=" " alt="" coords="56,5,177,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.usbThread.threadMoveFromUSB:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1threadMoveFromUSB__coll__graph.png" border="0" usemap="#src_8usbThread_8threadMoveFromUSB_coll__map" alt="Collaboration graph"/></div>
<map name="src_8usbThread_8threadMoveFromUSB_coll__map" id="src_8usbThread_8threadMoveFromUSB_coll__map">
<area shape="rect" title="Classe pour les threads déplaçant des fichiers depuis les clés USB." alt="" coords="29,155,204,196"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html" title=" " alt="" coords="5,80,228,107"/>
<area shape="rect" title=" " alt="" coords="56,5,177,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a3ef09948ea04259d163bc6fef36891c8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#a3ef09948ea04259d163bc6fef36891c8">__init__</a> (self, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#add4e7b6bfbfb104f98eb4be47b3bfdff">ud</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae91185d80f12054c7fa3224316504f24">fileList</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d4c41bde3df9458df316eb04a503b20">subdir</a>=&quot;.&quot;, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a0c38b7a0b013f9331cf477b7d41bd77c">dest</a>=&quot;/tmp&quot;, rootPath=&quot;/&quot;, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a90550c2bd77c21e59db0f93d81eb0b1c">logfile</a>=&quot;/dev/null&quot;, parent=None)</td></tr>
<tr class="separator:a3ef09948ea04259d163bc6fef36891c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b2d86a20727d84cae07532959e8422a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#a6b2d86a20727d84cae07532959e8422a">toDo</a> (self, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#add4e7b6bfbfb104f98eb4be47b3bfdff">ud</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae91185d80f12054c7fa3224316504f24">fileList</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d4c41bde3df9458df316eb04a503b20">subdir</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a0c38b7a0b013f9331cf477b7d41bd77c">dest</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a90550c2bd77c21e59db0f93d81eb0b1c">logfile</a>)</td></tr>
<tr class="memdesc:a6b2d86a20727d84cae07532959e8422a"><td class="mdescLeft">&#160;</td><td class="mdescRight">La fonction abstraite pour les choses à faire.  <a href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#a6b2d86a20727d84cae07532959e8422a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6b2d86a20727d84cae07532959e8422a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB')"><img src="closed.png" alt="-"/>&#160;Fonctions membres publiques hérités de <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html">src.usbThread.abstractThreadUSB</a></td></tr>
<tr class="memitem:ab7ed757a788a790105fe8023aeb0c0b3 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ab7ed757a788a790105fe8023aeb0c0b3">__init__</a> (self, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#add4e7b6bfbfb104f98eb4be47b3bfdff">ud</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae91185d80f12054c7fa3224316504f24">fileList</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d4c41bde3df9458df316eb04a503b20">subdir</a>, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a0c38b7a0b013f9331cf477b7d41bd77c">dest</a>=None, <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a90550c2bd77c21e59db0f93d81eb0b1c">logfile</a>=&quot;/dev/null&quot;, parent=None)</td></tr>
<tr class="separator:ab7ed757a788a790105fe8023aeb0c0b3 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf05ec8ad79c19ac7cfe2348c266ba65 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#adf05ec8ad79c19ac7cfe2348c266ba65">run</a> (self)</td></tr>
<tr class="separator:adf05ec8ad79c19ac7cfe2348c266ba65 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6322f09df6d4722df2ea63f5e61ac106 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a6322f09df6d4722df2ea63f5e61ac106">writeToLog</a> (self, msg)</td></tr>
<tr class="memdesc:a6322f09df6d4722df2ea63f5e61ac106 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="mdescLeft">&#160;</td><td class="mdescRight">Écrit un message dans le fichier de journalisation.  <a href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a6322f09df6d4722df2ea63f5e61ac106">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6322f09df6d4722df2ea63f5e61ac106 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d49da6903ac7df766a60708fa072f5a inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d49da6903ac7df766a60708fa072f5a">copytree</a> (self, src, dst, symlinks=False, ignore=None, erase=False, errors=[])</td></tr>
<tr class="separator:a5d49da6903ac7df766a60708fa072f5a inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f9ced5ba80332768a929e76ce052e0d inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5f9ced5ba80332768a929e76ce052e0d">__str__</a> (self)</td></tr>
<tr class="memdesc:a5f9ced5ba80332768a929e76ce052e0d inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="mdescLeft">&#160;</td><td class="mdescRight">Renvoie une chaîne informative sur le thread.  <a href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5f9ced5ba80332768a929e76ce052e0d">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5f9ced5ba80332768a929e76ce052e0d inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4c285ad4dfc222c4c76c513d9cf0629 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae4c285ad4dfc222c4c76c513d9cf0629">threadType</a> (self)</td></tr>
<tr class="memdesc:ae4c285ad4dfc222c4c76c513d9cf0629 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="mdescLeft">&#160;</td><td class="mdescRight">information sur le thread.  <a href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae4c285ad4dfc222c4c76c513d9cf0629">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae4c285ad4dfc222c4c76c513d9cf0629 inherit pub_methods_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a6e33f11105b0c1e615ea6db7ebb3b787"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html#a6e33f11105b0c1e615ea6db7ebb3b787">rootPath</a></td></tr>
<tr class="separator:a6e33f11105b0c1e615ea6db7ebb3b787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB')"><img src="closed.png" alt="-"/>&#160;Attributs publics hérités de <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html">src.usbThread.abstractThreadUSB</a></td></tr>
<tr class="memitem:add4e7b6bfbfb104f98eb4be47b3bfdff inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#add4e7b6bfbfb104f98eb4be47b3bfdff">ud</a></td></tr>
<tr class="separator:add4e7b6bfbfb104f98eb4be47b3bfdff inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae91185d80f12054c7fa3224316504f24 inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ae91185d80f12054c7fa3224316504f24">fileList</a></td></tr>
<tr class="separator:ae91185d80f12054c7fa3224316504f24 inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d4c41bde3df9458df316eb04a503b20 inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d4c41bde3df9458df316eb04a503b20">subdir</a></td></tr>
<tr class="separator:a5d4c41bde3df9458df316eb04a503b20 inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c38b7a0b013f9331cf477b7d41bd77c inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a0c38b7a0b013f9331cf477b7d41bd77c">dest</a></td></tr>
<tr class="separator:a0c38b7a0b013f9331cf477b7d41bd77c inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90550c2bd77c21e59db0f93d81eb0b1c inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a90550c2bd77c21e59db0f93d81eb0b1c">logfile</a></td></tr>
<tr class="separator:a90550c2bd77c21e59db0f93d81eb0b1c inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7f081a29fbaace6ce8290890a5537ad inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#aa7f081a29fbaace6ce8290890a5537ad">parent</a></td></tr>
<tr class="separator:aa7f081a29fbaace6ce8290890a5537ad inherit pub_attribs_classsrc_1_1usbThread_1_1abstractThreadUSB"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Classe pour les threads déplaçant des fichiers depuis les clés USB. </p>

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00413">413</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a3ef09948ea04259d163bc6fef36891c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ef09948ea04259d163bc6fef36891c8">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.threadMoveFromUSB.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ud</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fileList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>subdir</em> = <code>&quot;.&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dest</em> = <code>&quot;/tmp&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>rootPath</em> = <code>&quot;/&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>logfile</em> = <code>&quot;/dev/null&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em> = <code>None</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00426">426</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a6b2d86a20727d84cae07532959e8422a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b2d86a20727d84cae07532959e8422a">&#9670;&nbsp;</a></span>toDo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbThread.threadMoveFromUSB.toDo </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ud</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fileList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>subdir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>logfile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>La fonction abstraite pour les choses à faire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ud</td><td>l'instance uDisk correspondant à une partition de clé USB </td></tr>
    <tr><td class="paramname">fileList</td><td>la liste des fichiers à traiter </td></tr>
    <tr><td class="paramname">subdir</td><td>un sous-répertoire de la clé USB </td></tr>
    <tr><td class="paramname">dest</td><td>un répertoire de destination </td></tr>
    <tr><td class="paramname">logfile</td><td>un fichier de journalisation </td></tr>
  </table>
  </dd>
</dl>

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#ac586343abef57ddc6cfe074a5b99ea0d">src.usbThread.abstractThreadUSB</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00443">443</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbThread_1_1threadMoveFromUSB_a6b2d86a20727d84cae07532959e8422a_cgraph.png" border="0" usemap="#classsrc_1_1usbThread_1_1threadMoveFromUSB_a6b2d86a20727d84cae07532959e8422a_cgraph" alt=""/></div>
<map name="classsrc_1_1usbThread_1_1threadMoveFromUSB_a6b2d86a20727d84cae07532959e8422a_cgraph" id="classsrc_1_1usbThread_1_1threadMoveFromUSB_a6b2d86a20727d84cae07532959e8422a_cgraph">
<area shape="rect" title="La fonction abstraite pour les choses à faire." alt="" coords="5,88,180,129"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a5d49da6903ac7df766a60708fa072f5a" title=" " alt="" coords="229,29,424,71"/>
<area shape="rect" href="namespacesrc_1_1usbThread.html#a4c629171bff656efaddeb34a513e1299" title="force l&#39;existence d&#39;un répertoire, récursivement si nécessaire" alt="" coords="228,95,425,122"/>
<area shape="rect" href="classsrc_1_1usbThread_1_1abstractThreadUSB.html#a6322f09df6d4722df2ea63f5e61ac106" title="Écrit un message dans le fichier de journalisation." alt="" coords="229,147,424,188"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="a6e33f11105b0c1e615ea6db7ebb3b787"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e33f11105b0c1e615ea6db7ebb3b787">&#9670;&nbsp;</a></span>rootPath</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbThread.threadMoveFromUSB.rootPath</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbThread_8py_source.html#l00429">429</a> du fichier <a class="el" href="usbThread_8py_source.html">usbThread.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="usbThread_8py_source.html">usbThread.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1usbThread.html">usbThread</a></li><li class="navelem"><a class="el" href="classsrc_1_1usbThread_1_1threadMoveFromUSB.html">threadMoveFromUSB</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
